Subject: Re: termcap/terminfo for cygwin console
From: "Mark Hadfield" <[email-masked]>
To: <[email-masked]>
Date: Tue, 1 May 2001 12:22:09 +1200

> On Tue, May 01, 2001 at 02:00:50AM +0200, Fabrice Gautier wrote:
> >Hi,
> >
> >I'm often using cygwin and bash to telnet to linux or Sun stations.
> >I often get some terminal capabilities related problems (using less or
> >vi for example).
> >
> >I tried to set TERM=vt100 or TERM=linux but this was not a lot better.
> >
> >Is ther any terminfo or termcap files available for cygwin terminal? or
> >which "standard" terminal type should i choose for maximum compatibility?
>
> Both terminfo and termcap files are in the standard cygwin release.
>
> infocmp cygwin
>
> will display the cygwin settings.

So, Fabrice, you could extract this info and load it onto the Linux & Sun
stations, or persuade their sysadmin to do so. The procedure is fairly
straightforward, but I won't try to tell you how or I will probably set you
wrong. Try man infocmp and go from there.

If you can't do this (I've been waiting weeks for this to percolate to the
top of my sysadmin's TODO list) try TERM=linux or if that's not available,
TERM=ansi.

You mentioned you had tried TERM=linux. What problems do you run into. Why
not e-mail me off-list about this.
---
Mark Hadfield
[email-masked]  http://katipo.niwa.cri.nz/~hadfield
National Institute for Water and Atmospheric Research

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple